function PROC_SSDB_Feat_Soup_To_Nuts_2(FunctionName, NewLabel)


 % Building the Feature.
 clear all
 cd /cbcl/scratch01/bileschi/PrecomputedFeatures/StreetScenes/AppearanceDetector
 FunctionName = 'SSDB_CircleHoughTransform';
 NewLabel = 'CircleFeature_v02';
 options.TestNumber = 1;
 options.bOverwrite = 0; 
 options.SourceTemplate = 'AppearanceData_128x128_%s_f%.3d.mat';
 options.Sourcevariablename = 'grayX';
 options.ResetParallel = 0;
 options.LinearVersion = 1;
 PROC_StreetScenesDBToNewFeature(FunctionName, NewLabel, options);

 % Testing the feature 
 clear all
 cd /cbcl/scratch01/bileschi/PrecomputedFeatures/StreetScenes/AppearanceDetector                                 
 DataTemplate = 'CircleFeature_v02_%s_f*.mat'
 PROC_SSDBNewFeatureTest(DataTemplate, VarName, OutputDir,nIter);
 Root =  '/cbcl/scratch01/bileschi/PrecomputedFeatures/StreetScenes/AppearanceDetector';
 names = {'car','pedestrian','bicycle'}
 seedrand;
 for iter = randperm(100)
 for iObjType = randperm(3)
  on = names{iObjType};
  objidx = iObjType;
  opts.sPARAMS.R = 0;
  opts.sPARAMS.T = 0;
  opts.sPARAMS.Nrounds = 150;
  opts.bRandsplit = 1;
  opts.RandSeed = iter;
  Template{1} = sprintf('AppearanceData_C1likeToyota_%s_f*.mat',on);
  Template{2} = 
  varn{1} = 'C1X';
  varn{2} = 'SegFeature';
  savename = sprintf('RocsPlus/CircleExp002/HStan002_Level5plusC1_%s_%.3d.mat',on,iter);
  fprintf('%s %d\n',on,iter);
  if(not(exist(savename)))
    [yel, ye, ROC, Model] = GetShapeBasedROCPerformance(Root, Template, varn, objidx, opts);
    HelpTextInfo = 'SCRIPT_2005_09_16_Runs_Experiment 5.3';
    save(savename,'ROC','HelpTextInfo');
  end
  Template{1} = sprintf('Triggs_%s_f*.mat',on);
  Template{2} = sprintf('CircleFeature_v02_%s_f*.mat',on);
  varn{1} = 'C1X';
  varn{2} = 'SegFeature';
  savename = sprintf('RocsPlus/CircleExp002/HStan002_Level5plusTriggs_%s_%.3d.mat',on,iter);
  if(not(exist(savename)))
    [yel, ye, ROC, Model] = GetShapeBasedROCPerformance(Root, Template, varn, objidx, opts);
    HelpTextInfo = 'SCRIPT_2005_09_16_Runs_Experiment 5.3';
    save(savename,'ROC','HelpTextInfo');
  end
 end 
end
 
 % Showing the results
 clear all
 cd /cbcl/scratch01/bileschi/PrecomputedFeatures/StreetScenes/AppearanceDetector
 cd RocsPlus
 onames = {'car','pedestrian','bicycle'};
 for iObjType = [1,2,3]
   for iter = 1:100
    on = onames{iObjType};
    fprintf('%s iter %d \r',on, iter);
    fn = sprintf('ContinuityExp002/C1_%s_%.3d.mat',on,iter);
    if(exist(fn))
      C1.(on){iter} = load(fn);
    end
    fn = sprintf('CircleExp002/HStan002_Level5plusC1_%s_%.3d.mat',on,iter);
    if(exist(fn))
      C1AndSeg.(on){iter} = load(fn);
    end
    fn = sprintf('CircleExp002/HStan002_Level5plusTriggs_%s_%.3d.mat',on,iter);
    if(exist(fn))
      TriggsAndSeg.(on){iter} = load(fn);
    end
    fn = sprintf('ContinuityExp002/Triggs_%s_%.3d.mat',on,iter);
    if(exist(fn))
      Triggs.(on){iter} = load(fn);
    end
  end
  [stats.(on).C1.m,stats.(on).C1.v] = caROC2Stats(C1.(on));
  [stats.(on).C1AndSeg.m,stats.(on).C1AndSeg.v] = caROC2Stats(C1AndSeg.(on));
  [stats.(on).Triggs.m,stats.(on).Triggs.v] = caROC2Stats(Triggs.(on));
  [stats.(on).TriggsAndSeg.m,stats.(on).TriggsAndSeg.v] = caROC2Stats(TriggsAndSeg.(on));
  fprintf('\n')
  fprintf(' C1 /  C1 + Circle / Triggs / Triggs + Circle\n');
  [A.(on),B.(on),labels] = ShowStats({stats.(on).C1,stats.(on).C1AndSeg,stats.(on).Triggs,stats.(on).TriggsAndSeg});
 end
